% Collage Bild v 1.0 - Compare_RIS SCRIPT
%                      Show results with 5 Reference Image Sets  
% created by Andre Marcal, FCUP, 24 Apr. 2023 (andre.marcal@fc.up.pt)

% Base Image, any RGB image in standard format (e.g. jpg, png, tif, bmp)
BaseIM='Girasol.png';

% Number of Blocks (min. No along rows or columns)
N=12;

% Color Model and Distance:      1- RGB Euclidean      2- RGB City Block
%    3- HSV Adjusted City Block  4- L*a*b* City Block  5- L*a*b* Hybrid
CMD=5;                        %  6- L*a*b* Euclidean   7- CIEDE2000

% Number of Neighbors used for comparison. Possible values: 1,4,8 
NN=1; 

% Number of Sampling points for each blocks ( S x S points )
S=2; % S=0 to automatically select the largest possible value 

% Processing cycle
IBase=imread(BaseIM);
subplot(2,3,1), imshow(IBase), title ('Base Image')
Tit={'Ref1 Lego';'Ref2 M&Ms';'Ref3 Tiles';'Ref4 Gouache';'Ref5 Custom'};
for f=1:5
    display (['Processing case ', num2str(f), ' / 5'])
    [IM,D]=CollageBild_v10(BaseIM, N, f, CMD, NN, S, 0);
    subplot(2,3,f+1), imshow(IM), title (Tit{f})
end
